package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.UserGroupDto;
import com.zcxk.entity.UserEntity;
import com.zcxk.entity.UserGroup;

import java.util.List;

/**
 * 用户组(UserGroup)表服务接口
 *
 * @author makejava
 * @since 2020-10-27 09:13:56
 */
public interface UserGroupService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserGroup selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<UserGroup> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param userGroup 实例对象
     * @return 对象列表
     */
    List<UserGroup> selectList(UserGroup userGroup);

    /**
     * 新增数据
     *
     * @param userGroup 实例对象
     * @return 影响行数
     */
    int insert(UserGroup userGroup);

    /**
     * 批量新增
     *
     * @param userGroups 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<UserGroup> userGroups);

    /**
     * 修改数据
     *
     * @param userGroup 实例对象
     * @return 修改
     */
    int update(UserGroup userGroup);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);
    List<String> deleteAll(List<Integer>ids);
    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<UserGroup> selectPage(UserGroup userGroup, IPage<UserGroup> page);
    List<UserEntity>findUsersByUserGroup(UserGroup userGroup);
    int updateRolesByUserGroup(UserGroupDto userGroupDto);

}